glibc: switch to 2.24 by default and remove old versions, fixes security issues
[openwrt/openwrt.git] / toolchain / glibc / common.mk
index 4de9905..0ffa44f 100644 (file)
@@ -7,14 +7,8 @@
 include $(TOPDIR)/rules.mk
 
 
 include $(TOPDIR)/rules.mk
 
 
-MD5SUM_2.19 = 42dad4edd3bcb38006d13b5640b00b38
-REVISION_2.19 = 25243
-
-MD5SUM_2.21 = 76050a65c444d58b5c4aa0d6034736ed
-REVISION_2.21 = 16d0a0c
-
-MD5SUM_2.22 = b575850e77b37d70f96472285290b391
-REVISION_2.22 = b995d95
+MD5SUM_2.24 = 5c5a6f1ac6fce866e37643c41ac116f3
+REVISION_2.24 = 8c716c2
 
 
 PKG_NAME:=glibc
 
 
 PKG_NAME:=glibc
@@ -55,10 +49,14 @@ ifeq ($(ARCH),mips64)
   endif
 endif
 
   endif
 endif
 
+
+# -Os miscompiles w. 2.24 gcc5/gcc6
+# only -O2 tested by upstream changeset
+# "Optimize i386 syscall inlining for GCC 5"
 GLIBC_CONFIGURE:= \
        BUILD_CC="$(HOSTCC)" \
        $(TARGET_CONFIGURE_OPTS) \
 GLIBC_CONFIGURE:= \
        BUILD_CC="$(HOSTCC)" \
        $(TARGET_CONFIGURE_OPTS) \
-       CFLAGS="$(TARGET_CFLAGS)" \
+       CFLAGS="-O2 $(filter-out -Os,$(call qstrip,$(TARGET_CFLAGS)))" \
        libc_cv_slibdir="/lib" \
        use_ldconfig=no \
        $(HOST_BUILD_DIR)/$(GLIBC_PATH)configure \
        libc_cv_slibdir="/lib" \
        use_ldconfig=no \
        $(HOST_BUILD_DIR)/$(GLIBC_PATH)configure \
@@ -74,6 +72,7 @@ GLIBC_CONFIGURE:= \
                --$(if $(CONFIG_SOFT_FLOAT),without,with)-fp
 
 export libc_cv_ssp=no
                --$(if $(CONFIG_SOFT_FLOAT),without,with)-fp
 
 export libc_cv_ssp=no
+export libc_cv_ssp_strong=no
 export ac_cv_header_cpuid_h=yes
 export HOST_CFLAGS := $(HOST_CFLAGS) -idirafter $(CURDIR)/$(PATH_PREFIX)/include
 
 export ac_cv_header_cpuid_h=yes
 export HOST_CFLAGS := $(HOST_CFLAGS) -idirafter $(CURDIR)/$(PATH_PREFIX)/include